WALL(1)

NOM
wall - Envoyer un message à tous les utilisateurs

SYNOPSIS

wall [-n] [-t timeout] [-g group] [message | file]

DESCRIPTION

wall displays a message, or the contents of a file, or otherwise its standard input, on the terminals of all currently logged in users. The command will wrap lines that are longer than 79 characters. Short lines are whitespace padded to have 79 characters. The command will always put a carriage return and new line at the end of each line.

Seul le superutilisateur peut écrire sur les terminaux des utilisateurs qui ont choisi de refuser les messages ou qui utilisent un programme qui interdit automatiquement les messages.

La lecture depuis un fichier est interdite quand l’appelant n’est pas superutilisateur et que le programme est set-user-ID ou set-group-ID.

OPTIONS

-n, --nobanner
    Supprimer la bannière.

-t, --timeout délai
    Abandonner la tentative d’écriture sur les terminaux après délai secondes. Ce délai doit être un entier positif. La valeur par défaut est de 300 secondes, qui est un héritage de l’époque où les gens se connectaient aux terminaux à l’aide de modems.

-g, --group groupe
    Limiter l’affichage du message aux membres du groupe défini comme paramètre groupe. Le paramètre peut être un nom de groupe ou un GID.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version et quitter.

NOTES

Certaines sessions, comme wdm(1x), qui ont un caractère « : » au début des données ut_type d’utmp(5) n’obtiendront pas le message de wall. Cela est fait pour éviter les erreurs d’écriture.

HISTORIQUE

Une commande wall est apparue dans la version 7 d’UNIX AT&T.

VOIR AUSSI

mesg(1), talk(1), write(1), shutdown(8)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le

DISPONIBILITÉ

La commande wall fait partie du paquet util-linux, elle est disponible sur